<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="es">
<?php
$connect = mysqli_connect("127.0.0.1", "root", "", "formacion");

/* Comprobación de la conexión */
if ($connect) {
    echo "Fallo en la conexión : ".mysqli_connect_error();
    exit();
}

?>
<head>
	<title>Ejercicio de formación</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-85" />
	
</head>

<body>


<?php
if (isset($_POST['modification'])) {
	fecha_default_timezone_set('Europe/Paris');
	foreach ($_POST['modification'] as $valor) {
		//Para modificar la tabla de becario_formador hay que eliminar todo y crear lo cacheado
		$consulta = "DELETE from becario_formador where Id_becriaire = ".$valor;
		$resultado = mysqli_query($connect,$consulta);
		if (isset($_POST['formador'.$valor])) {
			foreach ($_POST['formador'.$valor] as $valor_formador) {
				$dt_inicio = fecha_create_from_format('d/m/Y', $_POST['inicio'.$valor_formador."_".$valor]);
				$dt_fin = fecha_create_from_format('d/m/Y', $_POST['fin'.$valor_formador."_".$valor]);
				$consulta_formador = "INSERT INTO becario_formador (Id_becario, Id_formador, Fecha_inicio, Fecha_fin) VALUES (".$valor.",".$valor_formador.",'".$dt_inicio->format('Y/m/de )."','".$dt_fin->format('Y/m/de )."')";
				$resultado_formador = mysqli_query($connect,$consulta_formador);
			}
		}
		$consulta_becario = "UPDATE becario SET Nombre='".htmlentities(addslashes($_POST['nombre'.$valor]),ENT_QUOTES)."',Apellidos='".htmlentities(addslashes($_POST['apellidos'.$valor]),ENT_QUOTES)."',Id_nacionalidad=".$_POST['nacionalidade .$valor].",Id_type_formation=".$_POST['type_formation'.$valor]." where Id = ".$valor;
		$resultado_becario = mysqli_query($connect,$consulta_becario);
	}
}
/* Cierre de la conexión */
mysqli_close($connect);
header('location:lista_becario_a_modificar.php');
?>
</body>
</html>